Subject: Re: [PATCH v10] setup: improve error diagnosis for invalid .git files

From: Junio C Hamano <[email-masked]>
Date: Mon, 23 Feb 2026 07:39:24 -0800

Junio C Hamano <[email-masked]> writes:

> I think MISSING is more appropriate than STAT_MISSING.  Our stat(2)
> call positively identified that the given path does not exist on the
> filesystem.

If you prefer to have STAT_ there, I do not mind too much.  But at
some point, we may want to drop _ERR in those two new "these are not
errors" return values.